      SUBROUTINE MAIN
      INTEGER GETARG, I
      LOGICAL*1 BUF(400)
      I=1
23000 IF(.NOT.(GETARG(I, BUF, 400) .NE. -1))GOTO 23002
      IF(.NOT.(BUF(1) .EQ. 63 .AND. BUF(2) .EQ. 0))GOTO 23003
      CALL ERROR(20Husage:  echo [args]. )
23003 CONTINUE
      CALL PUTLIN (BUF, 2)
      CALL PUTCH (32, 2)
23001 I=I+1
      GOTO 23000
23002 CONTINUE
      IF(.NOT.(I .NE. 1))GOTO 23005
      CALL PUTCH (10, 2)
23005 CONTINUE
      RETURN
      END
